hack4glarus-2023-summer - Task #11861
Task # 11855 (Closed): [grab me] Setup lemmy in k8s

get an ungleich k8s cluster or create an own, for example using k3s
07/07/2023 06:56 PM - Peter Schwindt

Status: Closed Start date: 07/07/2023
Priority: Normal Due date:

Assignee: Peter Schwindt % Done: 100%
Category: Estimated time: 0.50 hour

Target version:
PM Check date:

Description

History

#1 - 07/07/2023 06:57 PM - Peter Schwindt

- Subject changed from get a k8s cluster or create own, for examples using k3s to get an ungleich k8s cluster or create an own, for example using k3s

#2 - 07/07/2023 06:58 PM - Peter Schwindt

- Status changed from New to Seen

#3 - 07/07/2023 06:58 PM - Peter Schwindt

- Assignee set to Peter Schwindt

#4 - 07/07/2023 06:59 PM - Peter Schwindt

In order to (try to) install lemmy on k8s, well, we need a k8s cluster before.

#5 - 07/07/2023 08:12 PM - Peter Schwindt

- Status changed from Seen to Resolved

Took the shortcut route and create a 1-node k8s cluster at DigitalOcean. Also added a personal TODO task to not forget tearing it down on
Wednesday.

Learned / TIL: There's doctl ( https://github.com/digitalocean/doctl ) to use the DO API from the CLI.

#6 - 07/07/2023 08:13 PM - Peter Schwindt
- % Done changed from 0 to 100
- Estimated time set to 0.50 h

#7 - 01/02/2024 12:37 PM - Nico Schottelius

- Status changed from Resolved to Closed
